Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QNetworkInterface.InterfaceFlag

    java.lang.Object
      java.lang.Enum<QNetworkInterface.InterfaceFlag>
          com.trolltech.qt.network.QNetworkInterface.InterfaceFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QNetworkInterface.InterfaceFlag>

Enclosing class:
  QNetworkInterface

    public static enum QNetworkInterface.InterfaceFlag

extends java.lang.Enum<QNetworkInterface.InterfaceFlag>
implements QtEnumerator

Specifies the flags associated with this network interface. The possible values are:

Constant | Value | Description
--- | --- | ---
`IsUp` | `1` | the network interface is active
`IsRunning` | `2` | the network interface has resources allocated
`CanBroadcast` | `4` | the network interface works in broadcast mode
`IsLoopBack` | `8` | the network interface is a loopback interface: that is, it's a virtual interface whose destination is the host computer itself
`IsPointToPoint` | `16` | the network interface is a point-to-point interface: that is, there is one, single other address that can be directly reached by it.
`CanMulticast` | `32` | the network interface supports multicasting

Note that one network interface cannot be both broadcast-based and point-to-point.

Enum Constant Summary
`CanBroadcast` the network interface works in broadcast mode
`CanMulticast` the network interface supports multicasting
`IsLoopBack` the network interface is a loopback interface: that is, it's a virtual interface whose destination is the host computer itself
`IsPointToPoint` the network interface is a point-to-point interface: that is, there is one, single other address that can be directly reached by it.
`IsRunning` the network interface has resources allocated
`IsUp` the network interface is active

Method Summary
`static QNetworkInterface.InterfaceFlags` | `createQFlags(QNetworkInterface.InterfaceFlag... values)`
`static QNetworkInterface.InterfaceFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkInterface.InterfaceFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QNetworkInterface.InterfaceFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IsUp

    public static final QNetworkInterface.InterfaceFlag IsUp

  the network interface is active

### IsRunning

    public static final QNetworkInterface.InterfaceFlag IsRunning

  the network interface has resources allocated

### CanBroadcast

    public static final QNetworkInterface.InterfaceFlag CanBroadcast

  the network interface works in broadcast mode

### IsLoopBack

    public static final QNetworkInterface.InterfaceFlag IsLoopBack

  the network interface is a loopback interface: that is, it's a virtual interface whose destination is the host computer itself

### IsPointToPoint

    public static final QNetworkInterface.InterfaceFlag IsPointToPoint

  the network interface is a point-to-point interface: that is, there is one, single other address that can be directly reached by it.

### CanMulticast

    public static final QNetworkInterface.InterfaceFlag CanMulticast

  the network interface supports multicasting

Method Detail

### values

    public static final QNetworkInterface.InterfaceFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QNetworkInterface.InterfaceFlag c : QNetworkInterface.InterfaceFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QNetworkInterface.InterfaceFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QNetworkInterface.InterfaceFlags createQFlags(QNetworkInterface.InterfaceFlag... values)

### resolve

    public static QNetworkInterface.InterfaceFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD